<template>
  <p class="mt-utilisateur" :class="{ 'cursor-as-pointer': isClickable }" @click="$emit('click')">
    {{ utilisateur.codePosteRo }} <b class="is-uppercase">{{ utilisateur.nom }}</b>
    {{ utilisateur.prenom }}
    <slot></slot>
  </p>
</template>

<script>
export default {
  name: 'MtUtilisateur',
  props: {
    utilisateur: {
      type: Object,
      required: true,
      default: () => ({}),
    },
    isClickable: Boolean,
  },
};
</script>

<style scoped lang="scss">
.mt-utilisateur {
  cursor: default;
}
.mt-utilisateur.cursor-as-pointer,
a .mt-utilisateur {
  cursor: pointer;
}
</style>
